# $Revision: 1.9 $, $Date: 2004/12/01 18:02:50 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SNPP
Summary:	Net::SNPP perl module
Summary(pl):	Modu Perla Net::SNPP
Name:		perl-Net-SNPP
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	18f61a774906cd27ca14dcbf311e6bf0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SNPP - Perl interface to SNPP.

%description -l pl
Net::SNPP - interfejs Perla do SNPP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Net/SNPP.pm
%{perl_vendorlib}/Net/SNPP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SNPP.spec,v $
Revision 1.9  2004/12/01 18:02:50  radek
- autoupdated to 1.17

Revision 1.8  2004/12/01 10:25:24  radek
- standarized Source0 URL

Revision 1.7  2004/11/03 22:30:37  paladine
- formatting

Revision 1.6  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/26 23:05:37  ankry
- added tests, license fixes

Revision 1.3  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.2  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.1  2003/07/07 22:38:39  arekm
- new spec
